/* For GTK CSS variables see https://docs.gtk.org/gtk4/css-properties.html#custom-properties */
@define-color colorPrimary #252525;
@define-color colorSecondary #d3d3d3;
@define-color colorHighPriority #EB4A00;

* {
	font-family: 'FreeSans', 'Font Awesome';
	font-size: 14px;
	border: none;
	border-radius: 0;
	min-height: 0;
}
window#waybar {
	background-color: @colorPrimary; /* The property "opacity" applies transparency to all the children elements. Use rgba() to apply it only to the box*/
	color: #d8dee9;
	padding: 0;
	margin: 0;
}
#workspaces button {
    background: transparent;
    border-top: 2px solid transparent;
    padding: 0 3px;
    margin: 0 3px;
    color: inherit;
}
#workspaces button.active, #workspaces button:hover {

	border-top: 2px solid @colorSecondary;
    transition: none; /* Disabling animations */
    text-shadow: none;
    box-shadow: none;
}
#workspaces button.active {
	font-weight: bold;
}
tooltip {
	background: @colorPrimary;
	margin: 0;
	padding: 0;
	border: none;
	border-radius: 3px;
}
tooltip * {
	color: @colorSecondary;
	font-size: 12px;
	text-shadow: none;
}
.modules-center {
	color: inherit;
	opacity: 0.4;
}
#backlight, #battery, #bluetooth, #clock, #cpu, #disk, #keyboard-state, #memory, #network, #pulseaudio, #temperature, #tray, #privacy {
	margin: 0 6px;
	padding: 0 2px;
}
#battery.warning {
	color: @colorHighPriority;
}
#battery.critical {
	color: @colorHighPriority;
}
#temperature.critical {
	color: @colorHighPriority;
}
#clock {
	font-weight: bold;
}
/*You can style different module instances like here:  https://github.com/Alexays/Waybar/issues/119 */